<script lang="ts">
  import Discover from './sections/Discover.svelte';
  import HowItWorks from './sections/HowItWorks.svelte';
  import TopCollections from './sections/TopCollections.svelte';
  import TopSellers from './sections/TopSellers.svelte';
</script>

<svelte:head>
  <title>NFT</title>
  <meta
    name="description"
    content="About this app" />
</svelte:head>

<section class="banner">
  <div class="label">Explore Digital Arts & Collections</div>
  <a>Explore</a><a>Create</a>

  <div><span>200k</span><span>Collectibles</span></div>
  <div><span>20k</span><span>Auctions</span></div>
  <div><span>2k</span><span>NFT Artist</span></div>
</section>
<section class="content">
  <TopSellers />
  <TopCollections />
  <Discover />
  <HowItWorks />
</section>

<style lang="postcss">
  .banner {
    position: relative;
    width: 100%;
    height: 300px;
    background-color: hsl(46deg 100% 83%);
    background-image: url('$lib/images/nft/NFT-2.webp');
    background-repeat: no-repeat;
    background-size: 100%;

    .label {
      position: relative;
      color: white;
      font-size: xx-large;
      font-weight: bolder;
      text-shadow:
        0 1px 0 hsl(0deg 0% 80%),
        0 2px 0 hsl(0deg 0% 79%),
        0 3px 0 hsl(0deg 0% 73%),
        0 4px 0 hsl(0deg 0% 73%),
        0 5px 0 hsl(0deg 0% 67%),
        0 6px 1px rgb(0 0 0 / 10%),
        0 0 5px rgb(0 0 0 / 10%),
        0 1px 3px rgb(0 0 0 / 30%),
        0 3px 5px rgb(0 0 0 / 20%),
        0 5px 10px rgb(0 0 0 / 25%),
        0 10px 10px rgb(0 0 0 / 20%),
        0 20px 20px rgb(0 0 0 / 15%);
    }
  }

  @media (width >= 768px) {
    .banner {
      margin-top: -60px;
      background-position: right;
    }
  }
</style>
